> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/authentication.md).

# Authentication

## Generating Your Access Token <a href="#id-01fnx85y719756dz5p34xda4kz" id="id-01fnx85y719756dz5p34xda4kz"></a>

Copy both the Client ID and Client Secret keys and create an HTTP request with the following body.

**Description**

Use the UI Management API credentials to authenticate your user and get back an access token to authorize further requests.

**Method**

`POST htpps://console.fyber.com/api/v2/management/auth`

### Request Parameters <a href="#id-01fnx85y71hd4tdcq3j0qs9v01" id="id-01fnx85y71hd4tdcq3j0qs9v01"></a>

| Key            | Description                                                                                                      | Type   | Required | Example                                      |
| -------------- | ---------------------------------------------------------------------------------------------------------------- | ------ | -------- | -------------------------------------------- |
| grant\_type    | <p>This key is constant and should always be completed for this API as "management\_client<br>\_credentials"</p> | String | Required | <p>"management\_client\_<br>credentials"</p> |
| client\_id     | The Client ID token from the UI received for authentication.                                                     | String | Required | <p>“677eXXXXXXcdcc3fd790<br>deb46duyud4”</p> |
| client\_secret | The Client Secret token from the UI received for authentication.                                                 | String | Required | “ghhjhiGHXXXXXX87686"                        |

### Example Request <a href="#id-01fnx85y71hr1196ym6pp30tr3" id="id-01fnx85y71hr1196ym6pp30tr3"></a>

{% code title="JSON" overflow="wrap" %}

```json
{
          "grant_type": "management_client_credentials",
          "client_id": "677e6543049XXXXXXXXX0deb46d2ecd4",
          "client_secret": "d0iSLq5y6XXXXXuOyM4blm8GwzQ
b2sLOlcBtsI9KvBx9tGuucM2kvrdxXXXXXPjIunXbATQTkHDjHv
VEVv1JgXFj0EUWmuNpNH53p9SnGWxwXXXXgdJSkCUDuHaDeFWH
z-prMEGftXXXXXXfa_-8mRZURDZu2d_CRnwZ-Z51EnuFszgEP0
4f1AjcKTVhNSw0rXXXXXXdKaGZNM4EPsV5SxLBZKKdQxa3PPW
L1Cb56U9ftviXPJKU47nAzXXXXXXXdfXKBsMCG2FX3nB7E2Ei
b_yHNK0EtXX4zFTr8uYRXXXXXXXCLMVRUxNjQ"
            }
```

{% endcode %}

### Response Parameters <a href="#id-01fnx85y71vxan5mtgz624rkyc" id="id-01fnx85y71vxan5mtgz624rkyc"></a>

| Key         | Description                                                                | Type   | Required | Example                                                                                                                                                                              |
| ----------- | -------------------------------------------------------------------------- | ------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| accessToken | Token to be used to authorize future requests                              | String | Required | <p>“eyJhbGciXXXXXXXXsInR5cCI6IkpXVC<br>J9.eyJpYXQiOjE2Mjg2NzI4OTMsImV4c<br>CI6MTYyODXXXXXXwiYXVkIjoibWFu<br>YWdlbWVudEFXXXXN1YiI6IjM2MiJ9.<br>cjx3AgYcI0XXXXYkVsO6F\_7M72lu\_p ”</p> |
| tokenType   | Only bearer token type is available                                        | String | Required | “bearer”                                                                                                                                                                             |
| expiresIn   | The number of seconds for which the token is valid (3600 seconds = 1 hour) | String | Required | 3600                                                                                                                                                                                 |

### Example Response <a href="#id-01fnx85y71kz0qx1ee9pw7t5pr" id="id-01fnx85y71kz0qx1ee9pw7t5pr"></a>

{% code title="JSON" %}

```json
{
          "accessToken": "eyJhbGciXXXXXiIsInR5cCI6IkpXVCJ9.
eyJpYXQiOjE2Mjg2NzI4OTMsIXXXXXXXODY3NjQ5MywiYXfdhei
bWFuYWdlbWVuXXXXXXXnN1YiI6IjM2MiJ9.cjx3AgYcI0w5qG0YkVs
O6F_7M72lu_pqSqtXXXXXU",
          "tokenType": "bearer",
          "expiresIn": 3600
        }
```

{% endcode %}

{% hint style="info" %}
When using the DT FairBid Management API, it's important to keep in mind the API requests limit. By default, the daily API requests limit is set to 1000 requests per day. This limit ensures fair usage and helps maintain the stability and performance of the system.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digitalturbine.com/dt-fairbid/advanced-configurations/dt-fairbid-management-api/authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
